<?php

namespace dominion\cron\models;

use Yii;

/**
 * This is the model class for table "mole_task".
 *
 * @property int $id
 * @property int $parentId
 * @property string $dateAdd
 * @property string $dateStart
 * @property string $dateEnd
 * @property string $module
 * @property string $controller
 * @property string $type
 * @property string $name
 * @property string $params
 * @property int $isReady
 * @property int $completed
 * @property int $priority
 * @property int $childsTotalCount
 * @property int $childsCompleted
 * @property string $status
 * @property string $project
 */
class MoleTask extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'mole_task';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['parentId', 'isReady', 'childsTotalCount', 'childsCompleted', 'status'], 'required'],
            [['parentId', 'isReady', 'completed', 'priority', 'childsTotalCount', 'childsCompleted'], 'integer'],
            [['dateAdd', 'dateStart', 'dateEnd'], 'safe'],
            [['params'], 'string'],
            [['module', 'controller', 'type', 'name', 'status'], 'string', 'max' => 255],
            [['project'], 'string', 'max' => 50],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => Yii::t('mole', 'ID'),
           /* 'parentId' => Yii::t('mole', 'Parent ID'),
            'dateAdd' => Yii::t('mole', 'Date Add'),
            'dateStart' => Yii::t('mole', 'Date Start'),
            'dateEnd' => Yii::t('mole', 'Date End'),
            'module' => Yii::t('mole', 'Module'),
            'controller' => Yii::t('mole', 'Controller'),
            'type' => Yii::t('mole', 'Type'),
            'name' => Yii::t('mole', 'Name'),
            'params' => Yii::t('mole', 'Params'),
            'isReady' => Yii::t('mole', 'Is Ready'),
            'completed' => Yii::t('mole', 'Completed'),
            'priority' => Yii::t('mole', 'Priority'),
            'childsTotalCount' => Yii::t('mole', 'Childs Total Count'),
            'childsCompleted' => Yii::t('mole', 'Childs Completed'),
            'status' => Yii::t('mole', 'Status'),
            'project' => Yii::t('mole', 'Project'),*/
        ];
    }
}
